package net.mcreator.cawezsmantletostratus.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.item.ItemStack;
import net.minecraft.server.level.ServerLevel;

public class DiurnalControllerRightclickedProcedure {
	public static void execute(LevelAccessor world, ItemStack itemstack) {
		if (world instanceof ServerLevel _level)
			_level.setDayTime((int) (3000 + world.dayTime()));
		itemstack.shrink(1);
	}
}
